| OpenCV 3.4.8 Open Source Computer Vision

Classes | Macros | Typedefs | Functions
C API
Object Detection

## Classes
struct | CvAvgComp
struct | CvHaarClassifier
struct | CvHaarClassifierCascade
struct | CvHaarFeature
struct | CvHaarStageClassifier

## Macros
#define | CV_HAAR_DO_CANNY_PRUNING 1
#define | CV_HAAR_DO_ROUGH_SEARCH 8
#define | CV_HAAR_FEATURE_MAX 3
#define | CV_HAAR_FIND_BIGGEST_OBJECT 4
#define | CV_HAAR_MAGIC_VAL 0x42500000
#define | CV_HAAR_SCALE_IMAGE 2
#define | CV_HAAR_STAGE_MAX 1000
#define | CV_IS_HAAR_CLASSIFIER(haar)
#define | CV_TYPE_NAME_HAAR "opencv-haar-classifier"

## Typedefs
typedef struct CvHidHaarClassifierCascade | CvHidHaarClassifierCascade

## Functions
CvSeq * | cvHaarDetectObjects (const CvArr *image, CvHaarClassifierCascade *cascade, CvMemStorage *storage, double scale_factor=1.1, int min_neighbors=3, int flags=0, CvSize min_size=cvSize(0, 0), CvSize max_size=cvSize(0, 0))
CvHaarClassifierCascade * | cvLoadHaarClassifierCascade (const char *directory, CvSize orig_window_size)
void | cvReleaseHaarClassifierCascade (CvHaarClassifierCascade **cascade)
int | cvRunHaarClassifierCascade (const CvHaarClassifierCascade *cascade, CvPoint pt, int start_stage=0)
void | cvSetImagesForHaarClassifierCascade (CvHaarClassifierCascade *cascade, const CvArr *sum, const CvArr *sqsum, const CvArr *tilted_sum, double scale)

## Detailed Description

## Macro Definition Documentation

## § CV_HAAR_DO_CANNY_PRUNING

#define CV_HAAR_DO_CANNY_PRUNING 1

`#include <opencv2/objdetect/objdetect_c.h>`

## § CV_HAAR_DO_ROUGH_SEARCH

#define CV_HAAR_DO_ROUGH_SEARCH 8

`#include <opencv2/objdetect/objdetect_c.h>`

## § CV_HAAR_FEATURE_MAX

#define CV_HAAR_FEATURE_MAX 3

`#include <opencv2/objdetect/objdetect_c.h>`

## § CV_HAAR_FIND_BIGGEST_OBJECT

#define CV_HAAR_FIND_BIGGEST_OBJECT 4

`#include <opencv2/objdetect/objdetect_c.h>`

## § CV_HAAR_MAGIC_VAL

#define CV_HAAR_MAGIC_VAL 0x42500000

`#include <opencv2/objdetect/objdetect_c.h>`

## § CV_HAAR_SCALE_IMAGE

#define CV_HAAR_SCALE_IMAGE 2

`#include <opencv2/objdetect/objdetect_c.h>`

## § CV_HAAR_STAGE_MAX

#define CV_HAAR_STAGE_MAX 1000

`#include <opencv2/objdetect/objdetect_c.h>`

## § CV_IS_HAAR_CLASSIFIER

#define CV_IS_HAAR_CLASSIFIER | ( |  | haar | ) |

`#include <opencv2/objdetect/objdetect_c.h>`

Value:
((haar) != NULL && \
(((const CvHaarClassifierCascade*)(haar))->flags & CV_MAGIC_MASK)==CV_HAAR_MAGIC_VAL)
CV_HAAR_MAGIC_VAL
#define CV_HAAR_MAGIC_VAL
Definition: objdetect_c.h:64
CV_MAGIC_MASK
#define CV_MAGIC_MASK
Definition: types_c.h:442
CvHaarClassifierCascade
Definition: objdetect_c.h:107

## § CV_TYPE_NAME_HAAR

#define CV_TYPE_NAME_HAAR "opencv-haar-classifier"

`#include <opencv2/objdetect/objdetect_c.h>`

## Typedef Documentation

## § CvHidHaarClassifierCascade

typedef struct CvHidHaarClassifierCascade CvHidHaarClassifierCascade

`#include <opencv2/objdetect/objdetect_c.h>`

## Function Documentation

## § cvHaarDetectObjects()

CvSeq* cvHaarDetectObjects | ( | const CvArr * | image,
|  | CvHaarClassifierCascade * | cascade,
|  | CvMemStorage * | storage,
|  | double | scale_factor = `1.1`,
|  | int | min_neighbors = `3`,
|  | int | flags = `0`,
|  | CvSize | min_size = `cvSize(0, 0)`,
|  | CvSize | max_size = `cvSize(0, 0)`
| ) |  |

`#include <opencv2/objdetect/objdetect_c.h>`

## § cvLoadHaarClassifierCascade()

CvHaarClassifierCascade* cvLoadHaarClassifierCascade | ( | const char * | directory,
|  | CvSize | orig_window_size
| ) |  |

`#include <opencv2/objdetect/objdetect_c.h>`

## § cvReleaseHaarClassifierCascade()

void cvReleaseHaarClassifierCascade | ( | CvHaarClassifierCascade ** | cascade | ) |

`#include <opencv2/objdetect/objdetect_c.h>`

## § cvRunHaarClassifierCascade()

int cvRunHaarClassifierCascade | ( | const CvHaarClassifierCascade * | cascade,
|  | CvPoint | pt,
|  | int | start_stage = `0`
| ) |  |

`#include <opencv2/objdetect/objdetect_c.h>`

## § cvSetImagesForHaarClassifierCascade()

void cvSetImagesForHaarClassifierCascade | ( | CvHaarClassifierCascade * | cascade,
|  | const CvArr * | sum,
|  | const CvArr * | sqsum,
|  | const CvArr * | tilted_sum,
|  | double | scale
| ) |  |

`#include <opencv2/objdetect/objdetect_c.h>`